Adept not ready to be used by non-adept developers

Paul Dufresne dufresnep at fastmail.fm
Sat Jun 30 15:45:47 BST 2007


I really hope we won't ship Kubuntu 7.10 with adept in the bad state it
is now in Gutsy.
Well, we have ship it in previous versions, and it was not handling
errors on packages either.

I just hit the wall again with adept-updater.
Just accepted to update the system.
At the beginning, it has found an error.
At this moment, it seems to show a message dialog indicating that an
error happened, with an ok button.
While the window is open, it continue to update the system.
A big problem, is that when you click Ok, it seems to directly quit the
application without even removing
the lock.

So after that, I can't even use adept to get Synaptic installed.

I hear you say, we know, just fill a bug report.
Well, I would say that is not a bug, because the developers of Adept
seems to not event have think about managing errors.
On the web page of Adept: http://web.mornfall.net/adept.html we can read
that only next big version, version 3,
will handle errors.

And the worst, is that most users are aware of the situation, and knows
very well how to fix the lock problem and use
dpkg to continue.
BTW: if you could remember me the magic command lines to fix this, it
would be great!

But it seems that nobody wish to tackle the task of fixing Adept, or ask
to remove it from 7.10 and replace it by
an other package manager.

-- 
http://www.fastmail.fm - Choose from over 50 domains or use your own




More information about the kubuntu-users mailing list